Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.upgrade
Class StringArrayAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.upgrade.Attribute
            |
            +--org.w3c.tools.resources.upgrade.StringArrayAttribute

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MimeTypeArrayAttribute

public class StringArrayAttribute
extends Attribute

The generic description of an StringArrayAttribute.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.w3c.tools.resources.upgrade.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`StringArrayAttribute(java.lang.String name, java.lang.String[] def, java.lang.Integer flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given object a valid StringArrayAttribute value ?
`int` | `getPickleLength(java.lang.Object value)` Get the number of bytes required to save that attribute value.
`void` | `pickle(java.io.DataOutputStream out, java.lang.Object sa)` Pickle a String array to the given output stream.
`java.lang.String` | `stringify(java.lang.Object value)` Turn a StringArray attribute into a String.
`java.lang.Object` | `unpickle(java.io.DataInputStream in)` Unpickle an String array from the given input stream.

Methods inherited from class org.w3c.tools.resources.upgrade.Attribute
`checkFlag, getDefault, getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringArrayAttribute

    public StringArrayAttribute(java.lang.String name,
                                java.lang.String[] def,
                                java.lang.Integer flags)

Method Detail

### stringify

    public java.lang.String stringify(java.lang.Object value)

  Turn a StringArray attribute into a String. We use the normal property convention, which is to separate each item with a |.

  Overrides:
    `stringify` in class `Attribute`
  Returns:
    A String based encoding for that value.

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid StringArrayAttribute value ?

  Specified by:
    `checkValue` in class `Attribute`
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if okay.

### getPickleLength

    public int getPickleLength(java.lang.Object value)

  Get the number of bytes required to save that attribute value.

  Specified by:
    `getPickleLength` in class `Attribute`
  Parameters:
    `value` - The value that is about to be pickled.
  Returns:
    The number of bytes needed to pickle that value.

### pickle

    public void pickle(java.io.DataOutputStream out,
                       java.lang.Object sa)
                throws java.io.IOException

  Pickle a String array to the given output stream.

  Specified by:
    `pickle` in class `Attribute`
  Parameters:
    `out` - The output stream to pickle to.
    `sa` - The object to pickle.
  Throws:
    `java.io.IOException` - If some IO error occured.

### unpickle

    public java.lang.Object unpickle(java.io.DataInputStream in)
                              throws java.io.IOException

  Unpickle an String array from the given input stream.

  Specified by:
    `unpickle` in class `Attribute`
  Parameters:
    `in` - The input stream to unpickle from.
  Returns:
    An instance of String[].
  Throws:
    `java.io.IOException` - If some IO error occured.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD